/*
 * @(#)FString.java
 *
 * Copyright 2001 by Intelligent Technology Inc. All rights reserved.
 */

package jp.co.iti.fagot.fob;

/**
 * String
 * @author  千曳秀喜
 * @version 1.01 2001/01/07
 */
public class FString extends FElement {

	/**
	 * コンストラクタ
	 */
	public FString() {
	super();
	}

	/**
	 * コンストラクタ
	 */
	public FString( String data ) {
	super( data );
	}

	/**
	 * コンストラクタ
	 */
	public FString( FString data ) {
	super();
	set(data);
	}

	/**
	 * 値の取得
	 */
	public String get() {
	return ( (String)getData() ) ;
	}

	/**
	 * 値の取得
	 */
	public String getString() {
	if ( isNull() ) {
		return null;
	}
	return ( new String((String)getData()) ) ;
	}

	/**
	 * 値の設定
	 */
	public void set( String data) {
	setData( data ) ;
	}

	/**
	 * 値の設定
	 */
	public void set( FString data) {
	setData( data.getData() ) ;
	}

	//## CLONE ########################################################
	/**
	 * 複製インスタンスの作成
	 * 各実現クラスにおいてインスタンスを生成する
	 * 仮想クラス（およびインスタンス化されないクラス）ではnullを返す
	 */
	public Object createClone() {
	return new FString();
	}
}
